Subject: Re: application icons
From: "Michael Scheibler" <[email-masked]>
To: "Dario Alcocer" <[email-masked]>
Cc: <[email-masked]>
Date: Tue, 10 Jul 2001 15:45:42 +0200

From: "Dario Alcocer" <[email-masked]>
Sent: Tuesday, July 10, 2001 3:34 PM

> >>>>> "Michael" == Michael Scheibler <[email-masked]>
writes:
>
>     Michael> Is it possible to give an icon to an .exe?
>
> Yes, but it needs to be linked into the EXE.  However, a work-around
> of sorts is to create a short-cut to the EXE, and change the default
> icon of the short-cut by right-clicking on the short-cut and clicking
> on Properties.

Well, actually I wanted to know how to link an .exe with an icon.
I tried this:

echo "iconid icon file.ico" | windres -O coff -o file.o
gcc .... file.o -o binary.exe

What am I doing wrong?

Michael

>
> Hope this helps,
>
> --
> Dario Alcocer -- Sr. Software Developer, Helix Digital Inc.
> [email-masked] -- http://www.helixdigital.com
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/